stages:
  - build

build_project:
  stage: build
  script:
    - xcodebuild clean -project DemoGitLabCICD/DemoGitLabCICD.xcodeproj -scheme DemoGitLabCICD | xcpretty
    - xcodebuild test -project DemoGitLabCICD/DemoGitLabCICD.xcodeproj -scheme DemoGitLabCICD -destination 'platform=iOS Simulator,name=iPhone 8,OS=11.4' | xcpretty -s
  tags:
    - runner
    - demo-cicd